Skip to main content
GET
List all APIs included in this API Product

Authorizations

Authorization
string
header
required

Path Parameters

product_id
integer
required

UID of an API Product

Example:

1

Query Parameters

limit
integer

Maximum number of records to return for this request. Overrides the row count only, not the page offset (which is always based on per_page), so use per_page for pagination rather than combining limit with page. Defaults to the per_page value.

per_page
integer
default:20

Items per page. Defaults to the resource-specific page count if configured, otherwise 20

page
integer
default:1

Page number. Defaults to 1 when omitted

Response

200 - application/json

OK

APIID
string

API ID from the Tyk Gateway

Example:

"a0ce49d559ce49d64fe608ea3728082a"

APIType
string

Authentication type of an API

Example:

"authToken"

ListenPath
string

Listen path which is defined for this API in the gateway

Example:

"/payments/"

Name
string

Name of an API as it is defined in the gateway

Example:

"Payment API"

OASUrl
string

URL of OpenAPI Specification for this API. The document must be a valid OAS document

Example:

"https://petstore.swagger.io/v2/swagger.json"

Status
boolean

Status of this API: true means the API is up and false identifies that it is down

Example:

true

TargetURL
string

Upstream URL of this API

Example:

"http://httpbin.org/"